    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * -----------------------
    028 * InsetsWriteHandler.java
    029 * -----------------------
    030 * (C)opyright 2003-2005, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: InsetsWriteHandler.java,v 1.5 2005/10/18 13:35:21 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 22-Nov-2003 : Initial version (TM);
    040 * 23-Dec-2003 : Added missing Javadocs (DG);
    041 *
    042 */
    043
    044package org.jfree.xml.writer.coretypes;
    045
    046import java.awt.Insets;
    047import java.io.IOException;
    048
    049import org.jfree.xml.writer.AbstractXmlWriteHandler;
    050import org.jfree.xml.writer.AttributeList;
    051import org.jfree.xml.writer.XMLWriter;
    052import org.jfree.xml.writer.XMLWriterException;
    053import org.jfree.xml.writer.XMLWriterSupport;
    054
    055/**
    056 * A handler for writing an {@link Insets} object.
    057 */
    058public class InsetsWriteHandler extends AbstractXmlWriteHandler {
    059
    060    /**
    061     * Default constructor.
    062     */
    063    public InsetsWriteHandler() {
    064        super();
    065    }
    066
    067    /**
    068     * Performs the writing of a {@link Insets} object.
    069     *
    070     * @param tagName  the tag name.
    071     * @param object  the {@link Insets} object.
    072     * @param writer  the writer.
    073     * @param mPlexAttribute  ??.
    074     * @param mPlexValue  ??.
    075     *
    076     * @throws IOException if there is an I/O error.
    077     * @throws XMLWriterException if there is a writer error.
    078     */
    079    public void write(final String tagName, final Object object, final XMLWriter writer,
    080                      final String mPlexAttribute, final String mPlexValue)
    081        throws IOException, XMLWriterException {
    082        final AttributeList attribs = new AttributeList();
    083        if (mPlexAttribute != null) {
    084            attribs.setAttribute(mPlexAttribute, mPlexValue);
    085        }
    086        final Insets i = (Insets) object;
    087        attribs.setAttribute("top", String.valueOf(i.top));
    088        attribs.setAttribute("left", String.valueOf(i.left));
    089        attribs.setAttribute("bottom", String.valueOf(i.bottom));
    090        attribs.setAttribute("right", String.valueOf(i.right));
    091        writer.writeTag(tagName, attribs, XMLWriterSupport.CLOSE);
    092    }
    093}